// StartSimpleBug.java
// Java SimpleBug application.
import swarm.Globals;
import swarm.defobj.Zone;
public class StartSimpleBug
    {
    public static void main (String[] args)
    {
        ObserverSwarm observerSwarm;
        
        // Swarm initialization: all Swarm apps must call this first.
        
        Globals.env.initSwarm ("SimpleBug", "2.1",
        "bug-swarm@santafe.edu", args);
        
        // Create a top-level Swarm object and build its internal
        // objects and activities.

        observerSwarm = new ObserverSwarm(Globals.env.globalZone);
        
        observerSwarm.buildObjects();
        observerSwarm.buildActions();
        observerSwarm.activateIn(null);
        
        // Now activate the swarm.
        
        //observerSwarm.getActivity().run();
        observerSwarm.go();
    }
}