
import swarm.Globals;
import swarm.defobj.Zone;
import swarm.objectbase.SwarmObjectImpl;
import swarm.space.Grid2dImpl;
import swarm.gui.Raster;

import swarm.objectbase.ProbeMap;
import swarm.objectbase.ProbeLibrary;
import swarm.objectbase.ProbeLibraryImpl;
import swarm.objectbase.EmptyProbeMapImpl;


abstract class Agent extends SwarmObjectImpl {
    
    public int xPos;
    public int yPos;
    public int direction; // NESW - north, east, south or west
    public int worldXSize;
    public int worldYSize;

    //new variables

    public int agentNumber;
    public ModelSwarm modelSwarm;
    public byte agentColor;
    public Grid2dImpl myBugSpace;
    public int directions=5;
       
 public Agent(Zone aZone) { super(aZone); } // een dummy constructor om de Zone door te geven naar boven.

 public Agent(Zone aZone, int X, int Y, int dir, int bNum, ModelSwarm mSwarm, 
                    Grid2dImpl bugSpace, byte aCol) {

        super(aZone);
     
        modelSwarm = mSwarm;
        worldXSize = modelSwarm.getWorldXSize();
        worldYSize = modelSwarm.getWorldYSize();
        xPos = X;
        yPos = Y;
        direction=dir;
        agentNumber = bNum;
        agentColor = aCol;
        myBugSpace=bugSpace;

        
 /*  EmptyProbeMapImpl probeMap = new EmptyProbeMapImpl(aZone, getClass());
    
    probeMap.addProbe(getProbeForVariable("xPos"));
    probeMap.addProbe(getProbeForVariable("yPos"));
    probeMap.addProbe(getProbeForVariable("agentNumber"));
    
    Globals.env.probeLibrary.setProbeMap$For(probeMap,getClass());
  */    
        
            
    }

 final public int getAgentNumber(){ return agentNumber; }
 final public int getXPos() {return xPos;}
 final public int getYPos() {return yPos;}
 final public int getDirection() {return direction;}
}

    